Packager: Igor Vlasenko <viy@altlinux.ru>
%def_without demo
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define oname			javahelp

Name:		javahelp2
Version:	2.0.05
Release:	alt2_2jpp5
Epoch:		0
Summary:	JavaHelp
License:	GNU General Public License - Version 2 with the classpath exception
Url:		https://javahelp.dev.java.net/
Group:		Development/Java
#
# To get the source, build it from svn repository of 
# https://javahelp.dev.java.net/ 
# using following steps:
# svn checkout https://javahelp.dev.java.net/svn/javahelp/trunk javahelp --username guest -r 46
# cd javahelp
# ant -f javahelp_nbproject/build.xml release-source -Dversion=2.0.02_svn46
# the source file will be generated into 
# javahelp_nbproject/dist/javahelp2-src-2.0.02_svn46.zip
#
Source0:	%{name}-%{version}.tar.gz
# svn export -r 59 https://javahelp.dev.java.net/svn/javahelp/trunk javahelp2-2.0.05 --username guest
Source1:	%{name}-jhindexer.sh
Source2:	%{name}-jhsearch.sh
Source3:	%{oname}-%{version}.pom
BuildArch:	noarch
Requires: jpackage-utils >= 0:1.7.4
Requires: jsp_api >= 0:2.0
Requires: servlet_api >= 0:2.4
BuildRequires: jpackage-utils >= 0:1.7.4
BuildRequires: ant >= 0:1.6.5
BuildRequires: ant-nodeps
BuildRequires: jsp_2_0_api
BuildRequires: servlet_2_4_api

Requires(post): jpackage-utils >= 0:1.7.4
Requires(postun): jpackage-utils >= 0:1.7.4


%description
JavaHelp software is a full-featured, platform-independent, extensible
help system that enables developers and authors to incorporate online
help in applets, components, applications, operating systems, and
devices. Authors can also use the JavaHelp software to deliver online
documentation for the Web and corporate Intranet.

%package manual
Summary:	Manual for %{name}
Group:		Development/Java
BuildArch: noarch

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation
BuildArch: noarch

%description javadoc
Javadoc for %{name}.

%if_with demo
%package demo
Summary:        Demo for %{name}
Group:          Development/Java
Requires: %{name} = %{version}-%{release}
%endif #demo

%if_with demo
%description demo
Demonstrations and samples for %{name}.
%endif #demo

%prep
#%setup -q -n %{name}-%{svn_version}
%setup -q 
# fix files perms
chmod -R go=u-w *
# remove windows files
for file in `find . -type f -name .bat`; do rm -f $file; done

#
# This class provides native browser integration and would require
# JDIC project to be present. Currently there is no such jpackage.org
# package, so deleting the class. When JDIC package is created,
# add BuildProvides and remove the "rm" call.
#
rm jhMaster/JavaHelp/src/new/javax/help/plaf/basic/BasicNativeContentViewerUI.java

mkdir javahelp_nbproject/lib
ln -s %{_javadir}/jsp_2_0_api.jar javahelp_nbproject/lib/jsp-api.jar
ln -s %{_javadir}/servlet_2_4_api.jar javahelp_nbproject/lib/servlet-api.jar

%build
export JAVA_HOME=%{_jvmdir}/java-1.5.0
ant \
    -f javahelp_nbproject/build.xml \
    -Djdic-jar-present=true \
    -Djdic-zip-present=true \
    -Dservlet-jar-present=true \
    -Dtomcat-zip-present=true \
    release javadoc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/jh2indexer
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/jh2search

install -m 644 javahelp_nbproject/dist/lib/jhall.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
cp -pr jhMaster/JavaHelp/doc/public-spec/dtd $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr jhMaster/JavaHelp/demos $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr javahelp_nbproject/dist/lib/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

%add_to_maven_depmap javax.help %{oname} %{version} JPP %{name}

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 %{SOURCE3} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

mkdir -p $RPM_BUILD_ROOT`dirname /etc/jhindexer.conf`
touch $RPM_BUILD_ROOT/etc/jhindexer.conf

mkdir -p $RPM_BUILD_ROOT`dirname /etc/jhsearch.conf`
touch $RPM_BUILD_ROOT/etc/jhsearch.conf


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%doc jhMaster/JavaHelp/README jhMaster/JavaHelp/README.html jhMaster/JavaHelp/LICENSE.html
%attr(0755,root,root) %{_bindir}/*
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dtd
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}
%config(noreplace,missingok) /etc/jhindexer.conf
%config(noreplace,missingok) /etc/jhsearch.conf

%files manual
%doc jhMaster/JavaHelp/doc/public-spec/*

%files javadoc
%{_javadocdir}/%{name}-%{version}

%if_with demo
%files demo
%{_datadir}/%{name}/demos
%endif #demo

%changelog
* Sat Mar 06 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.0.05-alt2_2jpp5
- new jpp release

* Fri Oct 03 2008 Igor Vlasenko <viy@altlinux.ru> 0:2.0.05-alt2_1jpp5
- converted from JPackage by jppimport script

* Sat Sep 06 2008 Igor Vlasenko <viy@altlinux.ru> 0:2.0.05-alt1_1jpp5
- converted from JPackage by jppimport script

